Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.params
Class ScheduleShiftParams

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.msk.params.ScheduleShiftParams

    public class ScheduleShiftParams

extends Object

Defines a shift in the schedule of an agent group.

Field Summary
`protected String` | `id`
`protected Integer` | `numAgents`
`protected int[]` | `numAgentsData`
`protected Double` | `probAgents`
`protected List<ShiftPartParams>` | `shiftParts`
`protected Object` | `xref`

Constructor Summary
`ScheduleShiftParams()`

Method Summary
`String` | `getId()` Gets the value of the id property.
`int` | `getNumAgents()` Gets the value of the numAgents property.
`int[]` | `getNumAgentsData()`
`int` | `getNumAgentsData(int idx)`
`int` | `getNumAgentsDataLength()`
`double` | `getProbAgents()` Gets the value of the probAgents property.
`List<ShiftPartParams>` | `getShiftParts()` Gets the value of the shiftParts property.
`Object` | `getXref()` Gets the value of the xref property.
`boolean` | `isSetId()`
`boolean` | `isSetNumAgents()`
`boolean` | `isSetNumAgentsData()`
`boolean` | `isSetProbAgents()`
`boolean` | `isSetShiftParts()`
`boolean` | `isSetXref()`
`void` | `setId(String value)` Sets the value of the id property.
`void` | `setNumAgents(int value)` Sets the value of the numAgents property.
`void` | `setNumAgentsData(int[] values)`
`int` | `setNumAgentsData(int idx, int value)`
`void` | `setProbAgents(double value)` Sets the value of the probAgents property.
`void` | `setXref(Object value)` Sets the value of the xref property.
`void` | `unsetNumAgents()`
`void` | `unsetNumAgentsData()`
`void` | `unsetProbAgents()`
`void` | `unsetShiftParts()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### shiftParts

    protected List<ShiftPartParams> shiftParts

### numAgentsData

    protected int[] numAgentsData

### id

    protected String id

### xref

    protected Object xref

### numAgents

    protected Integer numAgents

### probAgents

    protected Double probAgents

Constructor Detail

### ScheduleShiftParams

    public ScheduleShiftParams()

Method Detail

### getShiftParts

    public List<ShiftPartParams> getShiftParts()

  Gets the value of the shiftParts property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the shiftParts property.

  For example, to add a new item, do as follows:

          getShiftParts().add(newItem);

  Objects of the following type(s) are allowed in the list `ShiftPartParams`

### isSetShiftParts

    public boolean isSetShiftParts()

### unsetShiftParts

    public void unsetShiftParts()

### getNumAgentsData

    public int[] getNumAgentsData()

  Returns:
    array of `Integer`

### getNumAgentsData

    public int getNumAgentsData(int idx)

  Returns:
    one of `Integer`

### getNumAgentsDataLength

    public int getNumAgentsDataLength()

### setNumAgentsData

    public void setNumAgentsData(int[] values)

  Parameters:
    `values` - allowed objects are `Integer`

### setNumAgentsData

    public int setNumAgentsData(int idx,
                                int value)

  Parameters:
    `value` - allowed object is `Integer`

### isSetNumAgentsData

    public boolean isSetNumAgentsData()

### unsetNumAgentsData

    public void unsetNumAgentsData()

### getId

    public String getId()

  Gets the value of the id property.

  Returns:
    possible object is `String`

### setId

    public void setId(String value)

  Sets the value of the id property.

  Parameters:
    `value` - allowed object is `String`

### isSetId

    public boolean isSetId()

### getXref

    public Object getXref()

  Gets the value of the xref property.

  Returns:
    possible object is `Object`

### setXref

    public void setXref(Object value)

  Sets the value of the xref property.

  Parameters:
    `value` - allowed object is `Object`

### isSetXref

    public boolean isSetXref()

### getNumAgents

    public int getNumAgents()

  Gets the value of the numAgents property.

  Returns:
    possible object is `Integer`

### setNumAgents

    public void setNumAgents(int value)

  Sets the value of the numAgents property.

  Parameters:
    `value` - allowed object is `Integer`

### isSetNumAgents

    public boolean isSetNumAgents()

### unsetNumAgents

    public void unsetNumAgents()

### getProbAgents

    public double getProbAgents()

  Gets the value of the probAgents property.

  Returns:
    possible object is `Double`

### setProbAgents

    public void setProbAgents(double value)

  Sets the value of the probAgents property.

  Parameters:
    `value` - allowed object is `Double`

### isSetProbAgents

    public boolean isSetProbAgents()

### unsetProbAgents

    public void unsetProbAgents()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.